# Ds\Set::remove

(PECL ds >= 1.0.0)

Ds\Set::remove — Removes all given values from the set

### Beschreibung

public Ds\Set::remove(mixed `...$values`): void

Removes all given `values` from the set, ignoring any that are not in the set.

### Parameter-Liste

`values`

  The values to remove.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

### Beispiele

Beispiel #1 Ds\Set::remove() example

`<?php
$set = new \Ds\Set([1, 2, 3, 4, 5]);
$set->remove(1); // Remove 1
$set->remove(1, 2); // Can't find 1, but remove 2
$set->remove(...[3, 4]); // Remove 3 and 4
var_dump($set);
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    object(Ds\Set)#1 (1) {
      [0]=>
      int(5)
    }

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open